<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="peertube" target="multi-user">
      <override/>
      <file engine="none" source="sysuser-peertube.conf">/sysusers.d/0peertube.conf</file>
      <file engine="none" source="tmpfile-peertube.conf">/tmpfiles.d/0peertube.conf</file>
      <file>/etc/peertube/production.yaml</file>
      <file source="nginx.peertube.conf">/etc/nginx/default.d/peertube.conf</file>
      <file source="nginx.peertube.conf.d.conf">/etc/nginx/conf.d/peertube.conf</file>
    </service>
  </services>
  <variables>
    <family name="network">
      <variable name="outgoing_ports" redefine="True">
        <value>443</value>
      </variable>
    </family>
    <family name="peertube">
      <variable name="peertube_admin_email" type="mail" description="Adresse courriel de l'administrateur Peertube" mandatory="True"/>
      <variable name="peertube_short_description" type="string" description="Description courte de l'instance">
        <value>PeerTube, an ActivityPub-federated video streaming platform using P2P directly in your web browser.</value>
      </variable>
      <variable name="peertube_description" type="string" description="Description de l'instance">
        <value>Welcome to this PeerTube instance!</value>
      </variable>
    </family>
    <family name="oauth2_client">
      <variable name="oauth2_is_client_application" redefine='True'>
        <value>True</value>
      </variable>
      <variable name="oauth2_client_name" redefine='True'>
        <value>Vidéo</value>
      </variable>
      <variable name="oauth2_client_description" redefine='True'>
        <value>Plateforme de partage de vidéo Peertube</value>
      </variable>
      <variable name="oauth2_client_category" redefine='True'>
        <value>Réseaux sociaux</value>
      </variable>
      <variable name="oauth2_client_logo" redefine='True'>
        <value>silique_video.png</value>
      </variable>
      <family name="external">
        <variable name="oauth2_client_external" redefine="True" remove_fill="True"/>
      </family>
    </family>
    <family name="nginx">
      <variable name="nginx_root" redefine='True'>
	<value>/usr/share/peertube</value>
      </variable>
    </family>
    <family name="revprox">
      <family name="revprox_client">
        <variable name="revprox_client_location" redefine="True">
          <value>/</value>
        </variable>
        <variable name="revprox_client_max_body_size" redefine="True">
          <value>12G</value>
        </variable>
      </family>
    </family>
  </variables>
  <constraints>
    <fill name="calc_oauth2_client_external">
      <param type="variable">revprox_client_external_domainnames</param>
      <param type="variable">revprox_client_location</param>
      <param>plugins/auth-openid-connect/0.1.0/auth/openid-connect</param>
      <target>oauth2_client_external</target>
    </fill>
    <fill name="calc_value">
      <param type="boolean">True</param>
      <param name="default" type="boolean">False</param>
      <param name="condition" type="variable">revprox_client_location</param>
      <param name="expected">/socket.io</param>
      <target>revprox_client_is_websocket</target>
    </fill>
  </constraints>
</rougail>

